#ifndef TABLESPACE_H_
#define TABLESPACE_H_

#include <sqlextract/tables/table.h>

struct tablespace_t;

struct tablespace_t *tablespace_create(void);
void tablespace_destroy(struct tablespace_t *ts);

int tablespace_add(struct tablespace_t *ts, struct table_t *tbl, int tablename);
struct table_t *tablespace_get(struct tablespace_t *ts, int tablename);

#endif /* TABLESPACE_H_ */
