#ifndef LOGFILTER_ERROR_H
#define LOGFILTER_ERROR_H
#define UNKNOWN_ERROR_STR "Unknown error"
enum LOGFILTER_ERROR {
	ERR_OK,
	ERR_PARSE_FAILURE,
	ERR_SYNTAX_ERROR,
	ERR_ESCAPE_TOO_LONG,
	ERR_UTF8_CONVERSION_FAILED,
	ERR_INVALID_REGULAR_EXPRESSION,
	ERR_INTERNAL_ERROR,
	ERR_UNKNOWN_ERROR /* This error also acts as a sentinel, so keep it at the bottom */
};
typedef enum LOGFILTER_ERROR logfilter_error;

const char *logfilter_strerror(logfilter_error err);

#endif
